View Issue Details

IDProjectCategoryLast Update
0019230AI War 2[All Projects] Gameplay IssueFeb 14, 2018 10:17 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status closedResolutionfixed 
Product Version0.516 
Fixed in Version0.706 
Summary0019230: Design Backup Servers are never destroyed
DescriptionYou can't target them, and they don't die when the planet is captured. I think these structures should be destroyed when the planet is captured.
TagsNo tags attached.

Activities

Cinth

Sep 6, 2017 11:21 pm

manager   ~0046453

Have you tried to hack one yet?

BadgerBadger

Sep 6, 2017 11:25 pm

manager   ~0046454

Yeah, and it works. Too well. Once I had hacked the design template server I seemed to get every single tech that the AI did. One hack got me 5 or 6 ship types. I was going to recreate that problem tonight with some extra debugging printouts to see if I could see what was happening (thanks to some of the Hacking logic being in external code), only to discover that save/load is broken on .516. So it goes.

It's also possible that the "getting lots of ships" was from losing and recapturing ARS. There's definitely a bug in there someplace, I just haven't tracked it down.

Another issue is that if I have an enormous fleet at the planet with the design template server, the ships that spawn for the hacking take one look at my fleet and run away to join the threat fleet. I feel like that is kinda boring, since it stops being a "Fight for the hack" and it becomes a "watch the AI ships fly away".

Cinth

Sep 6, 2017 11:29 pm

manager   ~0046455

Eeshh. I got nothing for any of that.

Hey how'd you like the new formations?

BadgerBadger

Sep 6, 2017 11:42 pm

manager   ~0046456

You know, I hadn't really noticed them, and I figured out why. The scroll handler got changed to the Default (away from the Chris Alternate Scroll Handler), and the default doesn't actually scroll in far enough to get to see formations. After reverting that change in my sandbox I have observed and think they look cool! I like that the ship formations wind up in 3D.

It's too bad all the turrets seem to be on groups of 5, and it's the same pattern for each. That said, I do like that formation of 5, I think it's solid. Turrets do want to point in all directions.

Cinth

Sep 6, 2017 11:51 pm

manager   ~0046457

With turrets, they are all in squads of 5 or 1. Not much variation there to work with. However, if you can think up a pattern with 5 points that's different, it's pretty quick to make up the formation.

BadgerBadger

Sep 7, 2017 12:01 am

manager   ~0046458

My preference would be to have some turrets have a different squad size, just for variety. Maybe a squad of 10, with a larger ring of 6 below and a smaller ring of 4 above?

Cinth

Sep 7, 2017 12:04 am

manager   ~0046459

That's how they are balanced right now (mostly in 5s). Bring it up with K (for balance)... The pattern looks like a 3 tier hex with a 2 tier square on it ;).

BadgerBadger

Sep 7, 2017 12:27 am

manager   ~0046460

Ah, fair enough. Okay, another idea for 5s. A large triangle blow and a pair above. Something like

         X

     Y Y

X X

Cinth

Sep 7, 2017 12:28 am

manager   ~0046461

That's workable!

BadgerBadger

Sep 7, 2017 12:30 am

manager   ~0046462

Or you could do a square below with 1 above in the center. The goal is just to get a bit of variety, and also to take advantage of 3Dness for the cool factor

X X
    Y
X X

BadgerBadger

Sep 7, 2017 12:31 am

manager   ~0046463

Mantis just eats my whitespace, unfortunately

Cinth

Sep 7, 2017 12:36 am

manager   ~0046464

It comes across in the emailed version.

For consistency with other forms, I'd be putting each line on a different level vertically. That way it would give the look that the turret could spin 360 and have clear firing lines.

If you think up any more formations, stick them in a new mantis (wishlist it basically).

Dune

Jan 31, 2018 3:31 pm

administrator   ~0046796

Perhaps this needs to be reviewed during beta testing?

BadgerBadger

Feb 14, 2018 10:17 pm

manager   ~0046978

Fixed by Keith

Issue History

Date Modified Username Field Change
Sep 6, 2017 11:13 pm BadgerBadger New Issue
Sep 6, 2017 11:21 pm Cinth Note Added: 0046453
Sep 6, 2017 11:25 pm BadgerBadger Note Added: 0046454
Sep 6, 2017 11:29 pm Cinth Note Added: 0046455
Sep 6, 2017 11:42 pm BadgerBadger Note Added: 0046456
Sep 6, 2017 11:51 pm Cinth Note Added: 0046457
Sep 7, 2017 12:01 am BadgerBadger Note Added: 0046458
Sep 7, 2017 12:04 am Cinth Note Added: 0046459
Sep 7, 2017 12:27 am BadgerBadger Note Added: 0046460
Sep 7, 2017 12:28 am Cinth Note Added: 0046461
Sep 7, 2017 12:30 am BadgerBadger Note Added: 0046462
Sep 7, 2017 12:31 am BadgerBadger Note Added: 0046463
Sep 7, 2017 12:36 am Cinth Note Added: 0046464
Jan 31, 2018 3:30 pm Dune Assigned To => x4000Bughunter
Jan 31, 2018 3:30 pm Dune Status new => assigned
Jan 31, 2018 3:31 pm Dune Status assigned => considering
Jan 31, 2018 3:31 pm Dune Note Added: 0046796
Feb 14, 2018 10:17 pm BadgerBadger Status considering => closed
Feb 14, 2018 10:17 pm BadgerBadger Resolution open => fixed
Feb 14, 2018 10:17 pm BadgerBadger Fixed in Version => 0.706
Feb 14, 2018 10:17 pm BadgerBadger Note Added: 0046978